part of masamune;

class ClickableBox extends StatelessWidget {
  const ClickableBox({
    this.onTap,
    this.color,
    this.hoverColor,
    this.splashColor,
    this.width,
    this.height,
    this.child,
  });

  final VoidCallback? onTap;
  final Widget? child;
  final Color? color;
  final Color? hoverColor;
  final Color? splashColor;
  final double? width;
  final double? height;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      hoverColor: hoverColor ?? color?.lighten(0.1),
      splashColor: splashColor,
      child: Ink(
        color: color,
        width: width,
        height: height,
        child: child,
      ),
    );
  }
}
